Bug 13012 - Implementation of process-exists control is wrong
Implementation of process-exists control is wrong
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-05 01:15 UTC by Amitay Isaacs
Modified: 2017-09-14 14:11 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-6 (14.20 KB, patch)
2017-09-11 03:43 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-7 (14.20 KB, patch)
2017-09-11 03:43 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-6 (16.54 KB, patch)
2017-09-13 01:02 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-7 (16.54 KB, patch)
2017-09-13 01:03 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-09-05 01:15:40 UTC
CTDB should only check the processes that are CTDB clients and not just any process on the system.
Comment 1 Amitay Isaacs 2017-09-11 03:43:13 UTC
Created attachment 13569 [details]
Patches for v4-6
Comment 2 Amitay Isaacs 2017-09-11 03:43:32 UTC
Created attachment 13570 [details]
Patches for v4-7
Comment 3 Martin Schwenke 2017-09-11 03:52:06 UTC
Hi Karolin,

This is ready for 4.6 and 4.7.

Thanks...
Comment 4 Karolin Seeger 2017-09-11 16:19:26 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-09-11 18:17:50 UTC
Seems to break autobuild in both branches:
*FAILED* tests/simple/07_ctdb_process_exists.sh

(Tried 2 times in each branch)
Comment 6 Amitay Isaacs 2017-09-12 04:46:54 UTC
Looks like there is a race condition.  Martin is testing the fix.
Comment 7 Amitay Isaacs 2017-09-13 01:02:51 UTC
Created attachment 13585 [details]
Patches for v4-6
Comment 8 Amitay Isaacs 2017-09-13 01:03:16 UTC
Created attachment 13586 [details]
Patches for v4-7
Comment 9 Martin Schwenke 2017-09-13 01:19:38 UTC
Hi Karolin,

Now with extra special sauce!  :-)

Hopefully we've fixed the problem and this is ready for 4.6 and 4.7...

Thanks...
Comment 10 Karolin Seeger 2017-09-13 12:53:48 UTC
(In reply to Martin Schwenke from comment #9)
Thanks a lot, Martin! :-)

Pushed to autobuild-v4-{7,6}-test.
Comment 11 Karolin Seeger 2017-09-14 14:11:12 UTC
Pushed to both branches.
Closing out bug report.

Thanks!